#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := syntax/canonical.sh

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	mkdir -p debian/tmp/locale/
	localedef -f UTF-8 -i en_US ./debian/tmp/locale/en_US.UTF-8/
	LOCPATH=$(CURDIR)/debian/tmp/locale/ \
	LANG=en_US.UTF-8 \
	LC_ALL=en_US.UTF-8 \
	dh_auto_test
	rm -rf debian/tmp/locale/
